6.0.0-git
2019-04-21

[#12315] Disallow posting until Facebook text field has content
Summary Disallow posting until Facebook text field has content
Queue Horde Base
Queue Version 5.1.0
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester simon (at) simonandkate (dot) net
Created 2013-06-07 (2144 days ago)
Due
Updated 2013-06-21 (2130 days ago)
Assigned 2013-06-08 (2143 days ago)
Resolved 2013-06-21 (2130 days ago)
Milestone
Patch No

History
2013-06-21 16:08:06 Michael Rubinsky Comment #7
State ⇒ Resolved
Reply to this comment
Horde 5.1.2
2013-06-21 16:06:58 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit d614c36bd57b7001cc1bd7e34b23c7447848172d
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jun 21 11:57:29 2013 -0400

     Bug: 12315 Disallow empty Facebook posting.

  horde/js/facebookclient.js |    5 ++++-
  1 files changed, 4 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/d614c36bd57b7001cc1bd7e34b23c7447848172d
2013-06-09 03:08:22 simon (at) simonandkate (dot) net Comment #5 Reply to this comment
OK, I worked it out.

When portal view loads, FB is slower, so it's loading a blank portal
block.
Not sure what you mean by this. Why is FB slower when you happen to 
load the portal page?
Takes about 5 to 10 seconds to load FB content after the portal page loads.

[Show Quoted Text - 14 lines]
Cool, so at last something that you can reproduce :)

Thanks!
2013-06-08 16:02:29 Michael Rubinsky Summary ⇒ Disallow posting until Facebook text field has content
 
2013-06-08 16:01:54 Michael Rubinsky Comment #4
State ⇒ Assigned
Reply to this comment
OK, I worked it out.

When portal view loads, FB is slower, so it's loading a blank portal block.
Not sure what you mean by this. Why is FB slower when you happen to 
load the portal page?
I clicked "Update" as I thought that was "update the display", not 
"Post an update to FaceBook" (perhaps a wording change needed for 
idiots like me?).
I named it to match the Facebook vernacular at the time. I.e., "Update 
your status." Perhaps "Post" would be better though.
Clicking update when there is no text in the text field generates this error.
Ah, ok. Now *that* I do see. At one time, we had the button disabled 
until there was text in the field - that must be a regression.

2013-06-08 08:14:25 simon (at) simonandkate (dot) net Comment #3 Reply to this comment
OK, I worked it out.

When portal view loads, FB is slower, so it's loading a blank portal 
block. I clicked "Update" as I thought that was "update the display", 
not "Post an update to FaceBook" (perhaps a wording change needed for 
idiots like me?).

Clicking update when there is no text in the text field generates this error.

Perhaps a more gentle catch of an error for an empty box needed?
2013-06-07 13:36:54 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Cannot reproduce.

The facebook block displays correctly for me when the portal page is 
loaded, and clicking "Update" to update my Facebook status results in 
my new status being posted to Facebook.
2013-06-07 09:38:49 Jan Schneider Assigned to Michael Rubinsky
State ⇒ Assigned
 
2013-06-07 02:46:08 simon (at) simonandkate (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Facebook Portal block error
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
Just upgraded to 5.1.0, and the facebook portal block shows as empty. 
When I click on Update it displays a lot of error messages, with some 
Facebook content below the errors. Errors are:

A fatal error has occurred
{"error":{"message":"(#100) Missing message or 
attachment","type":"OAuthException","code":100}}
1. Horde_Service_Facebook_Streams->post() 
/var/www/horde/services/facebook/index.php:228
2. Horde_Service_Facebook->callGraphApi() 
/usr/share/pear/Horde/Service/Facebook/Streams.php:128
3. Horde_Service_Facebook_Request_Graph->run() 
/usr/share/pear/Horde/Service/Facebook.php:210
Details
The full error message is logged in Horde's log file, and is shown 
below only to administrators. Non-administrative users will not see 
error details.
Horde_Service_Facebook_Exception Object
(
     [details] =>
     [logged] => 1
     [_logLevel:protected] => 0
     [message:protected] => {"error":{"message":"(#100) Missing 
message or attachment","type":"OAuthException","code":100}}
     [string:Exception:private] =>
     [code:protected] => 0
     [file:protected] => 
/usr/share/pear/Horde/Service/Facebook/Request/Graph.php
     [line:protected] => 139
     [trace:Exception:private] => Array
         (
             [0] => Array
                 (
                     [file] => /usr/share/pear/Horde/Service/Facebook.php
                     [line] => 210
                     [function] => run
                     [class] => Horde_Service_Facebook_Request_Graph
                     [type] => ->
                     [args] => Array
                         (
                         )

                 )

             [1] => Array
                 (
                     [file] => 
/usr/share/pear/Horde/Service/Facebook/Streams.php
                     [line] => 128
                     [function] => callGraphApi
                     [class] => Horde_Service_Facebook
                     [type] => ->
                     [args] => Array
                         (
                             [0] => me/feed
                             [1] => Array
                                 (
                                     [message] =>
                                 )

                             [2] => Array
                                 (
                                     [request] => POST
                                 )

                         )

                 )

             [2] => Array
                 (
                     [file] => /var/www/horde/services/facebook/index.php
                     [line] => 228
                     [function] => post
                     [class] => Horde_Service_Facebook_Streams
                     [type] => ->
                     [args] => Array
                         (
                             [0] => me
                             [1] =>
                         )

                 )

         )

     [previous:Exception:private] =>
)
A fatal error has occurred
{"error":{"message":"(#100) Missing message or 
attachment","type":"OAuthException","code":100}}
1. Horde_Service_Facebook_Streams->post() 
/var/www/horde/services/facebook/index.php:228
2. Horde_Service_Facebook->callGraphApi() 
/usr/share/pear/Horde/Service/Facebook/Streams.php:128
3. Horde_Service_Facebook_Request_Graph->run() 
/usr/share/pear/Horde/Service/Facebook.php:210
Details
The full error message is logged in Horde's log file, and is shown 
below only to administrators. Non-administrative users will not see 
error details.
Horde_Service_Facebook_Exception Object
(
     [details] =>
     [logged] => 1
     [_logLevel:protected] => 0
     [message:protected] => {"error":{"message":"(#100) Missing 
message or attachment","type":"OAuthException","code":100}}
     [string:Exception:private] =>
     [code:protected] => 0
     [file:protected] => 
/usr/share/pear/Horde/Service/Facebook/Request/Graph.php
     [line:protected] => 139
     [trace:Exception:private] => Array
         (
             [0] => Array
                 (
                     [file] => /usr/share/pear/Horde/Service/Facebook.php
                     [line] => 210
                     [function] => run
                     [class] => Horde_Service_Facebook_Request_Graph
                     [type] => ->
                     [args] => Array
                         (
                         )

                 )

             [1] => Array
                 (
                     [file] => 
/usr/share/pear/Horde/Service/Facebook/Streams.php
                     [line] => 128
                     [function] => callGraphApi
                     [class] => Horde_Service_Facebook
                     [type] => ->
                     [args] => Array
                         (
                             [0] => me/feed
                             [1] => Array
                                 (
                                     [message] =>
                                 )

                             [2] => Array
                                 (
                                     [request] => POST
                                 )

                         )

                 )

             [2] => Array
                 (
                     [file] => /var/www/horde/services/facebook/index.php
                     [line] => 228
                     [function] => post
                     [class] => Horde_Service_Facebook_Streams
                     [type] => ->
                     [args] => Array
                         (
                             [0] => me
                             [1] =>
                         )

                 )

         )

     [previous:Exception:private] =>
)

Saved Queries